DESCRIPTION ?= "Qt is a cross-platform application development framework for desktop, embedded and mobile."
HOMEPAGE ?= "https://www.qt.io"

inherit srcrev-update

QT_MODULE ?= "${BPN}"
QT_MODULE_BRANCH ?= "dev"
QT_MODULE_BRANCH_PARAM ?= "branch=${QT_MODULE_BRANCH};nobranch=1"
QT_MODULE_REPO ?= "${QT_MODULE}.git"

SRC_URI = "${QT_GIT}/${QT_GIT_PROJECT}/${QT_MODULE_REPO};name=${QT_MODULE};${QT_MODULE_BRANCH_PARAM};protocol=${QT_GIT_PROTOCOL}"

CVE_PRODUCT ?= "qt:${BPN} qt:qt"

S = "${WORKDIR}/git"

PV = "${QT_VERSION}"

SRCREV = "${SRCREV_${QT_MODULE}}"

SRCREV_tqtc-qmlcompilerplus = "dd2816ab6465d3ebf4cf590fb181459696f8aee8"
SRCREV_tqtc-qtinsighttracker = "a545493131a30b6aea191007fd306b88fe1cb933"
SRCREV_tqtc-qtvncserver = "c1db66fc9cb90b0a58876b5a8d785d6d1c75d99f"
SRCREV_qt3d = "53a8b96f96f450c26f0fbe5b4f8baa8b789ef643"
SRCREV_qt3d-assimp = "647f94648c0ae24b9c6684383a9dbbc0e2fc23b7"
SRCREV_qt5compat = "e08fe70f7e457a5f69e3df5de4dd53593088b693"
SRCREV_qtbase = "e84145d6c14e92c3a499904f70046bc3ceee5960"
SRCREV_qtapplicationmanager = "873200a86f7be76f6b43e8f424e9fb55a04083ba"
SRCREV_qtcharts = "9a098b14f8f18266af5885078b451c5ce8743b08"
SRCREV_qtcoap = "1120e29ca8c29aebcc1a8e1ad2678aaf0d54452f"
SRCREV_qtconnectivity = "bfad22de7b4cb2c7a189f70191e45cf680f1c8f9"
SRCREV_qtdatavis3d = "63f7a92b9f0da4d5b5dabf97e97cf35cb317b5cb"
SRCREV_qtdeclarative = "9d85f5722e8cf2836422b1667506e47c61b00d64"
SRCREV_qtdeviceutilities = "9de0de4a38518026c1b4f17903ed0b8f049d31a0"
SRCREV_qtdoc = "e5d4d3290cd3d3c40fb3fd6e3bbfa2a05b0d9a93"
SRCREV_qtgraphs = "0b5d0728e37bbb0c8dec6670950446757d120d21"
SRCREV_qtgrpc = "39f2692655cdcb4a75b6f85b3fa78f35c44fd964"
SRCREV_qthttpserver = "43cfb1dbd430394e12ce6604a94fbd8bc2ace041"
SRCREV_qtimageformats = "818b9de561fdbaaf588b8420d188b1e36cdb21d8"
SRCREV_qtinterfaceframework = "18d9631cd34f6bd8a5d57eabe860b06b4746433f"
SRCREV_qtlanguageserver = "44f32ca37be93695f83c2d10ad2693032457de77"
SRCREV_qtlocation = "32e3a44eedf364fcfd8ddb666e90416698b0cc89"
SRCREV_qtlottie = "ece57ed7e22e246f7f7f8faa4da83d3b7c2a54c8"
SRCREV_qtmqtt = "9048f80e3ab473545dff134acefefa25f36d6fa5"
SRCREV_qtmultimedia = "e5d7d11364c38b1e76290764dfdbbebb4a11e4d8"
SRCREV_qtnetworkauth = "ad2e8298f9fc5c91a544f25bb706ff58386f2c94"
SRCREV_qtopcua = "1424b4320d477295118e9bffabeaf3245a7f5979"
SRCREV_qtpositioning = "66d128b98f64ad5a6e9bc64647b971ec278c5676"
SRCREV_qtquick3d = "fac89f0a8fe6c985fcc6f1dff901cf74caaa5464"
SRCREV_qtquick3d-assimp = "647f94648c0ae24b9c6684383a9dbbc0e2fc23b7"
SRCREV_qtquick3dphysics = "49b0ba828fc77a8af3505593b301263eb8092d57"
SRCREV_qtquickdesigner-components = "92886bd04a6a0205d1c8f92c716a2b24cbd840df"
SRCREV_qtquicktimeline = "44b38820e8689f6357111cbcede7e77ed8e9ade4"
SRCREV_qtremoteobjects = "e523b5e2eba8cfc57722edae175b052465906119"
SRCREV_qtscxml = "0b3f3ead31d48366ab11baba91c6a57fb5342be1"
SRCREV_qtsensors = "4e25fa5e7d396c7da80ee7d25c17899475dfd5b7"
SRCREV_qtserialbus = "99aefb0e3fc64b7d2199094c49a850fcc3f45408"
SRCREV_qtserialport = "a2df85f7735fd9ec8c8b982f41d11bc862a81c6f"
SRCREV_qtshadertools = "cacbc8ca6efa91b6919034e68cbe89e1e7046664"
SRCREV_qtspeech = "1f6b4dfb699ba9edb7f4bc3ea104bce8ff7dc59d"
SRCREV_qtsvg = "a20aff67f021c5158d9be3a176c4736e5deac651"
SRCREV_qttools = "dc4c38c6fffc1b841ebd4bd98d76aaf76f96aeb9"
SRCREV_qttools-qlitehtml = "2992a310640697325791a5494ca8f4d4552de368"
SRCREV_qttools-qlitehtml-litehtml = "6ca1ab0419e770e6d35a1ef690238773a1dafcee"
SRCREV_qttranslations = "0b03f55d32dcccce7c4a1f025f1bb24d30bf8f25"
SRCREV_qtvirtualkeyboard = "84ac7ea5c5f388ee8d519a8bc89956a9c223d0f7"
SRCREV_qtwayland = "9fb65a2133f653f5f9a255c478395f9c611961e2"
SRCREV_qtwebchannel = "3c1e2c10d04aad2e51d3f99a6e85a2a12de432c4"
SRCREV_qtwebengine = "d9da5d893f3692a5b12101b91790d90b503cba32"
SRCREV_qtwebengine-chromium = "cc3e3122a4e08fe5f280cb46e05918135a732ecc"
SRCREV_qtwebsockets = "5f5b80720ee8beaadc409799f9a2a391cafb2150"
SRCREV_qtwebview = "223754c90c532948593384bbcc971cc0a7fc8779"
